投稿 评论 顶部

failed to load the jni shared问题解决

佚名 网络安全

如何解决启动eclipse出现failed to load the jni shared library的问题

问题描述:启动eclipse时,出现以下弹出框

此时,即表示eclispe和jdk位数不匹配导致。这时可以去查看eclipse和jdk所对应的位数。

解决步骤:

1.查看jdk的版本号及位数

方法如下:cmd下输入以下命令:java -version

此时如果没有显示jdk的位数,则表示此jdk为32位

如果显示Java HotSpot(TM) 64-Bit,则表示此jdk的版本为64位

2.查看eclipse的版本及位数

方法如下:打开eclipse解压目录下,找到eclipse.文件

然后使用记事本打开

如果是win32.win32.x86_64表示eclipse版本为64位

如果是win32.win32.x86则为32位版本

3.解决方案:

统一jdk和eclipse的版本位数,两者均为32位或两者均安装为64位。